Page MenuHomePhabricator

[CMake] macOS: Find DebugSymbols.framework inside the SDK
AcceptedPublic

Authored by jordan_rose on Mar 26 2019, 11:37 AM.

Details

Summary

It's always going to be at / on disk, but that's not what we should be linking against! This won't actually change anything in practice, but it's "more correct", and may be necessary if Apple ever decides to move the implementation of DebugSymbols.framework to another library.

Diff Detail

Repository
rLLDB LLDB

Event Timeline

jordan_rose created this revision.Mar 26 2019, 11:37 AM
davide accepted this revision.Mar 26 2019, 12:04 PM

LGTM

This revision is now accepted and ready to land.Mar 26 2019, 12:04 PM
sgraenitz accepted this revision.Apr 23 2019, 5:02 AM

LGTM too. Did this land?

sgraenitz resigned from this revision.Sep 24 2019, 6:01 AM